* {
  margin: 0;
  padding: 0;
  box-sizing: border-box; }

body {
  background-color: #E0CCB8; }

#grid-container {
  display: grid;
  grid-template-columns: auto auto auto auto auto auto auto auto auto;
  background-color: #E6D1B3;
  width: 80%;
  margin: 10px auto;
  border: 2px solid black;
  border-radius: 25px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19); }

header {
  grid-column: 1/10;
  background-color: #CC8033;
  color: white;
  text-align: center;
  padding: 20px;
  border-radius: 23px 23px 0 0; }

nav {
  grid-column: 1/10;
  background-color: #734C26;
  color: white;
  text-align: center;
  padding: 10px; }
  nav li {
    display: inline;
    list-style-type: none;
    margin-right: 1.2em; }

aside {
  grid-column: 1/2;
  background-color: #50C7C7;
  padding: 10px;
  margin-right: 10px;
  border-right: 1px solid black; }

main1 {
  grid-column: 3/4;
  background-color: #E6D1B3;
  padding: 10px;
  border-right: 1px solid black; }

main2 {
  grid-column: 5/6;
  background-color: #E6D1B3;
  padding: 10px;
  border-right: 1px solid black; }

main3 {
  grid-column: 7/8;
  background-color: #E6D1B3;
  padding: 10px; }

#rightcolumn {
  grid-column: 9/10;
  background-color: #50C7C7;
  padding: 10px;
  margin-left: 10px;
  border-left: 1px solid black; }

footer {
  grid-column: 1/10;
  text-align: center;
  color: white;
  background-color: #734C26;
  padding: 1.5em;
  border-bottom-left-radius: 24px;
  border-bottom-right-radius: 24px; }

img {
  margin: 0.3em 0.3em 1.5em 0.3em; }

img[alt~="rose"] {
  float: left;
  margin: 0.5em;
  width: 35%; }

img[alt~="bush"] {
  float: right;
  margin: 0.5em;
  width: 35%; }

img[alt="Pink"] {
  width: 5%; }

div > h4 {
  clear: both; }

img[alt$="Flower"] {
  width: 100%;
  margin-bottom: auto; }

p[target="extra_margin"] {
  margin-bottom: 25%; }
